extends State

const IDLE_STATE_ID: StringName = &"idle"

@onready var agent: AIBase = owner

func enter() -> void:
	agent.navigate_to_random_point()

func physics_update(_delta)  -> void:
	if agent.nav_agent.is_navigation_finished():
		transitioned.emit(self, IDLE_STATE_ID)
